#! /usr/bin/python
#
# html.py - strips extra whitespace and comments from HTML files
#
# -- PB User Script Info --
# %%%{PBXName=Optimize HTML}%%%
# %%%{PBXInput=AllText}%%%
# %%%{PBXOutput=ReplaceAllText}%%%
#

import sys
import string
import re

# create string variable of all document text
mytext = """%%%{PBXAllText}%%%"""

# compile a regular expression to match newline characters, tabs
# double spaces, and HTML comments
matchstr = re.compile("\n|\r|\t|  |(<!--[^(-->)]+(-->))", re.DOTALL);

# print out in correct format
print "%%%{PBXSelection}%%%" + matchstr.sub("", mytext) + "%%%{PBXSelection}%%%";