#! /bin/sh
#
# nameDateString.sh - generates // style comments with user name and ISO date with various prefixes
#
# -- PB User Script Info --
# %%%{PBXName=Insert !!!:Name:Date}%%%
# %%%{PBXInput=None}%%%
# %%%{PBXOutput=InsertAfterSelection}%%%
# %%%{PBXKeyEquivalent=}%%% (F6)
# %%%{PBXArgument=-b}%%%
#
# %%%{PBXNewScript}%%%
# %%%{PBXName=Insert ???:Name:Date}%%%
# %%%{PBXInput=None}%%%
# %%%{PBXOutput=InsertAfterSelection}%%%
# %%%{PBXKeyEquivalent=}%%% (F7)
# %%%{PBXArgument=-q}%%%
#
# %%%{PBXNewScript}%%%
# %%%{PBXName=Insert :Name:Date}%%%
# %%%{PBXInput=None}%%%
# %%%{PBXOutput=InsertAfterSelection}%%%
# %%%{PBXKeyEquivalent=}%%% (F8)
#

# Prints out part of a standard comment

PREFIX=""

if [ $# -gt 0 ] ; then
    if [ "z${1}" = "z-b" ] ; then
        PREFIX="!!!"
    elif [ "z${1}" = "z-q" ] ; then
        PREFIX="???"
    fi
fi

echo -n "// ${PREFIX}:${USER}:"
date +%Y%m%d | awk '{printf "%s", $1}'
echo -n " %%%{PBXSelection}%%%"
